package com.kingdee.eas.custom.sendmessage.utils.impl;

import com.alibaba.fastjson.JSONObject;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.basedata.person.PersonInfo;
import com.kingdee.eas.custom.logs.MessageLogsInfo;
import com.kingdee.eas.custom.sendmessage.utils.TemplateStrategy;
import com.kingdee.util.StringUtils;

import java.util.Map;

// ʵֵ֤ģ
public class ElectronicProofTemplate implements TemplateStrategy {
    @Override
    public JSONObject getTemplate(Context ctx, Map<String,Object> paramMap,  MessageLogsInfo messageLogsInfo) throws BOSException {
        JSONObject param = new JSONObject();
        PersonInfo personInfo = (PersonInfo) paramMap.get("personInfo");
        messageLogsInfo.setPerson(personInfo);
        param.put("name", personInfo.getName());
        param.put("urlPath", StringUtils.cnulls(paramMap.get("urlPath")));
        return param;
    }


}